prototype.js抑制

【「@run-at document-start」必須】Prototype JavaScript framework (prototype.js) による組み込みメソッド破壊について、Tampermonkey、およびViolent monkeyが干渉するバグを回避します。

This script should not be not be installed directly. It is a library for other scripts to include with the meta directive // @require https://greasyfork.org/scripts/17932-prototype-js%E6%8A%91%E5%88%B6/code/prototypejs%E6%8A%91%E5%88%B6.js?version=140950

Advertisement
Author
100の人
Ratings
0 0 0
Version
1.0.1
Created
Updated
Compatibility
Compatible with Firefox Compatible with Chrome Compatible with Opera
License
Mozilla Public License Version 2.0 (MPL 2.0); https://www.mozilla.org/MPL/2.0/
Applies to
All sites

Author's Description

Greasemonkey (Firefox) 上で動作する Greasemonkey スクリプトが、Tampermonkey (Firefox、Opera、Google Chrome)、および Violent monkey (Opera) でも動くようにするためのライブラリです。 ページ側で prototype.js が読み込まれた後では、すでに組み込みメソッドが破壊されており復元できないため、@run-at document-start のタイミングで実行する必要があります。

niconico 上の prototype.js 1.5.1.1、および prototype.js 1.6.0.3 で動作を確認しました。